#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x8A,0x72,0x59,0x1C,0x84,0x83,0x8E,0xAF,0x51,0x96,0xA6,0x73,
		0xA4,0x8E,0x1F,0x25,0xD1,0x47,0x5C,0x9A,0x82,0x1E,0x88,0x95,
		0xA0,0xA2,0xCB,0x74,0x8B,0x03,0x92,0xD0,0x12,0x29,0xA8,0xE5,
		0x87,0x6D,0x5C,0xA1,0xC1,0x72,0xA0,0xA7,0xFA,0xBF,0x35,0x76,
		0xA8,0x4F,0x28,0xF3,0x21,0x69,0x84,0x03,0x22,0xFF,0xA8,0x7A,
		0x15,0x28,0xCB,0x83,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
